Bug 365711 - XKB: using evdev as driver with de layout, 'less' ('<') key is not working
XKB: using evdev as driver with de layout, 'less' ('<') key is not working
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xkbdata (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 05:23 EST by Harald
Modified: 2008-05-26 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-26 12:53:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete xorg.conf (5.53 KB, text/plain)
2007-11-08 15:09 EST, Harald
no flags Details
Xorg Log (43.50 KB, text/plain)
2007-11-08 15:14 EST, Harald
no flags Details

  None (edit)
Description Harald 2007-11-04 05:23:21 EST
Description of problem:
When using the evdev driver and of course the evdev keyboard model there is one
important key no longer available in german layout, which provides symbols for
redirecting output on the terminal ('<', '>', '|').


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-9.fc7
libxkbfile-1.0.4-1.fc7
libxkbui-1.0.1-1.2
libxkbui-1.0.1-1.2
libxkbfile-1.0.4-1.fc7
xorg-x11-xkb-utils-1.0.2-3.fc7

How reproducible:
just activate evdev driver, keyboard model evdev and layout de. Then try to use
the key right of the left shift key and left of 'Y' (on QWERTZ keyboard, or 'Z'
on QWERTY).

Steps to Reproduce:
1. change /etc/X11/xorg.conf in section InputDevice to something like:

Section "InputDevice"
	Identifier  "Keyboard1"
	Driver      "evdev"
	Option	    "XkbRules" "xorg"
	Option	    "XkbModel" "evdev"
	Option	    "XkbLayout" "de"
	Option	    "Device" "/dev/input/event1"
EndSection
  
2. activate the keyboard in server layout
3. restart X
4. try to enter something that contains '<' '>' or '|'
  
Actual results:
The key does not produce any input, when using xev it tells that the scancode is
94 with no symbol assigned.


Expected results:
The key should work as in other de layouts, i.e. when using this configuration:

        Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "de"

when pressing the key alone it should create '<', with shift '>' and with the
right ALT key (AltGr) it should create '|'.

Additional info:

I was able to fix this with applying the following changes:

in /usr/share/X11/xkb/keycodes/evdev i added the following line:

<LESS> = 94;

in /usr/share/X11/xkb/symbols/de i added this line:

key <LESS>  { [      less,    greater,           bar,   brokenbar ] };

I am not aware of side effects, but it is my first change on any xkb config, so
i might have missed something.
Comment 1 Matěj Cepl 2007-11-07 05:52:11 EST
Actually, it might be good to see your *complete* /etc/X11/xorg.conf and
especially your /var/log/Xorg.0.log. Could we get them as uncompressed separate
attachments of this bug?

Thank you.
Comment 2 Harald 2007-11-08 15:09:13 EST
Created attachment 252071 [details]
complete xorg.conf
Comment 3 Harald 2007-11-08 15:14:52 EST
Created attachment 252081 [details]
Xorg Log

The X-Server gets started for layout Singleheadlayout.
Comment 4 Bug Zapper 2008-05-14 10:59:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Harald 2008-05-26 12:35:26 EDT
I updated my system to Fedora 9 and this bug seems to be resolved there. I took
the files as delivered by the installation image and the keyboard is working as
expected. 

Note You need to log in before you can comment on or make changes to this bug.